{
	"info": {
		"_postman_id": "2cec316d-df1e-4815-b5b7-b49cf2e9c197",
		"name": "epp",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "24657033"
	},
	"item": [
		{
			"name": "UserProvider",
			"item": [
				{
					"name": "[微服务] 用户登录",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "http://localhost:8001/user/login?username=root&password=63a9f0ea7bb98050796b649e85481845",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8001",
							"path": [
								"user",
								"login"
							],
							"query": [
								{
									"key": "username",
									"value": "root"
								},
								{
									"key": "password",
									"value": "63a9f0ea7bb98050796b649e85481845"
								}
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "AccessProvider",
			"item": [
				{
					"name": "[微服务] 获取用户进出码信息",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/code/getCodeInfo?id=1",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"code",
								"getCodeInfo"
							],
							"query": [
								{
									"key": "id",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取用户进出码信息",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/access/code/getCodeInfo?id=1",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"access",
								"code",
								"getCodeInfo"
							],
							"query": [
								{
									"key": "id",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 获取微信小程序AccessToken",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/wechat/getAccessToken",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"wechat",
								"getAccessToken"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 获取不限制的小程序码",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/wechat/getUnlimitedQRCode?scene=t=1&page=pages/index/index",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"wechat",
								"getUnlimitedQRCode"
							],
							"query": [
								{
									"key": "envVersion",
									"value": "develop",
									"disabled": true
								},
								{
									"key": "scene",
									"value": "t=1"
								},
								{
									"key": "page",
									"value": "pages/index/index"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取不限制的小程序码",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/access/wechat/getUnlimitedQRCode?scene=t=1&page=pages/index/index",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"access",
								"wechat",
								"getUnlimitedQRCode"
							],
							"query": [
								{
									"key": "envVersion",
									"value": "develop",
									"disabled": true
								},
								{
									"key": "scene",
									"value": "t=1"
								},
								{
									"key": "page",
									"value": "pages/index/index"
								}
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "TestProvider",
			"item": [
				{
					"name": "http://localhost:8011/hi/1",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8011/hi/1",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8011",
							"path": [
								"hi",
								"1"
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "ShopProvider",
			"item": [
				{
					"name": "[线上] 获取商品列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/good/miniprogram/list?cateId=4&searchText=罩",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"good",
								"miniprogram",
								"list"
							],
							"query": [
								{
									"key": "cateId",
									"value": "4"
								},
								{
									"key": "searchText",
									"value": "%25%25",
									"disabled": true
								},
								{
									"key": "searchText",
									"value": "罩"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取商品详情",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/good/miniprogram/detail?id=2",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"good",
								"miniprogram",
								"detail"
							],
							"query": [
								{
									"key": "id",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取商品分类列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/good/miniprogram/cateList",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"good",
								"miniprogram",
								"cateList"
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 小程序端下单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"userId\": 1,\r\n    \"orderList\": [\r\n        {\r\n            \"goodId\": 2,\r\n            \"count\": 3\r\n        },\r\n        {\r\n            \"goodId\": 3,\r\n            \"count\": 1\r\n        }\r\n    ]\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "https://epp.only4.work/shop/order/miniprogram/createOrder",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"order",
								"miniprogram",
								"createOrder"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序端下单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"userId\": 1,\r\n    \"orderList\": [\r\n        {\r\n            \"goodId\": 2,\r\n            \"count\": 3\r\n        },\r\n        {\r\n            \"goodId\": 3,\r\n            \"count\": 1\r\n        }\r\n    ]\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/createOrder",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"createOrder"
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 小程序订单详情",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/order/miniprogram/orderDetail?orderId=1",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"order",
								"miniprogram",
								"orderDetail"
							],
							"query": [
								{
									"key": "orderId",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序订单详情",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/orderDetail?orderId=1748800678865801225",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"orderDetail"
							],
							"query": [
								{
									"key": "orderId",
									"value": "1",
									"disabled": true
								},
								{
									"key": "orderId",
									"value": "1748800678865801225"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序用户订单列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/listUserOrder?userId=1",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"listUserOrder"
							],
							"query": [
								{
									"key": "orderId",
									"value": "1",
									"disabled": true
								},
								{
									"key": "userId",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序端支付订单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"orderId\": \"1749496012575215624\"\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/payOrder",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"payOrder"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序端取消订单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"orderId\": \"1749496012575215624\"\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/cancelOrder",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"cancelOrder"
							]
						}
					},
					"response": []
				}
			]
		}
	]
}